
Object.defineProperty(exports, "__esModule", { value: true });

const {
  Decimal,
  objectEnumValues,
  makeStrictEnum,
  Public,
  getRuntime,
  skip
} = require('./runtime/index-browser.js')


const Prisma = {}

exports.Prisma = Prisma
exports.$Enums = {}

/**
 * Prisma Client JS version: 6.6.0
 * Query Engine version: f676762280b54cd07c770017ed3711ddde35f37a
 */
Prisma.prismaVersion = {
  client: "6.6.0",
  engine: "f676762280b54cd07c770017ed3711ddde35f37a"
}

Prisma.PrismaClientKnownRequestError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientKnownRequestError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)};
Prisma.PrismaClientUnknownRequestError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientUnknownRequestError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.PrismaClientRustPanicError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientRustPanicError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.PrismaClientInitializationError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientInitializationError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.PrismaClientValidationError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientValidationError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.Decimal = Decimal

/**
 * Re-export of sql-template-tag
 */
Prisma.sql = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`sqltag is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.empty = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`empty is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.join = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`join is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.raw = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`raw is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.validator = Public.validator

/**
* Extensions
*/
Prisma.getExtensionContext = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`Extensions.getExtensionContext is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.defineExtension = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`Extensions.defineExtension is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}

/**
 * Shorthand utilities for JSON filtering
 */
Prisma.DbNull = objectEnumValues.instances.DbNull
Prisma.JsonNull = objectEnumValues.instances.JsonNull
Prisma.AnyNull = objectEnumValues.instances.AnyNull

Prisma.NullTypes = {
  DbNull: objectEnumValues.classes.DbNull,
  JsonNull: objectEnumValues.classes.JsonNull,
  AnyNull: objectEnumValues.classes.AnyNull
}



/**
 * Enums
 */

exports.Prisma.TransactionIsolationLevel = makeStrictEnum({
  ReadUncommitted: 'ReadUncommitted',
  ReadCommitted: 'ReadCommitted',
  RepeatableRead: 'RepeatableRead',
  Serializable: 'Serializable'
});

exports.Prisma.UtilisateurScalarFieldEnum = {
  ut_id: 'ut_id',
  ut_nom: 'ut_nom',
  ut_prenom: 'ut_prenom',
  ut_mail: 'ut_mail',
  ut_type_cliente: 'ut_type_cliente',
  ut_age: 'ut_age',
  ut_nb_rdv: 'ut_nb_rdv',
  ut_nb_rdv_honores: 'ut_nb_rdv_honores',
  ut_prix_moyen: 'ut_prix_moyen',
  ut_pdp: 'ut_pdp',
  ut_panier: 'ut_panier',
  ut_mdp: 'ut_mdp',
  ut_telephone: 'ut_telephone',
  ut_date_inscription: 'ut_date_inscription',
  ut_derniere_connexion: 'ut_derniere_connexion'
};

exports.Prisma.FormationScalarFieldEnum = {
  fo_id: 'fo_id',
  fo_titre: 'fo_titre',
  fo_description: 'fo_description',
  fo_prix: 'fo_prix',
  fo_miniature: 'fo_miniature',
  fo_teaser: 'fo_teaser',
  fo_date_publication: 'fo_date_publication'
};

exports.Prisma.VideoScalarFieldEnum = {
  vi_fo_id: 'vi_fo_id',
  vi_id: 'vi_id',
  vi_titre: 'vi_titre',
  vi_description: 'vi_description',
  vi_etape: 'vi_etape',
  vi_url: 'vi_url'
};

exports.Prisma.CommandeScalarFieldEnum = {
  co_id: 'co_id',
  co_utilisateur: 'co_utilisateur',
  co_date_creation: 'co_date_creation',
  co_date_update: 'co_date_update',
  co_status: 'co_status'
};

exports.Prisma.CommandeFormationScalarFieldEnum = {
  cof_id: 'cof_id',
  cof_formation: 'cof_formation'
};

exports.Prisma.AchatScalarFieldEnum = {
  ac_id: 'ac_id',
  ac_utilisateur: 'ac_utilisateur',
  ac_formation: 'ac_formation',
  ac_type: 'ac_type',
  ac_date_achat: 'ac_date_achat',
  ac_date_fin: 'ac_date_fin'
};

exports.Prisma.TagScalarFieldEnum = {
  ta_id: 'ta_id',
  ta_titre: 'ta_titre'
};

exports.Prisma.TagVideoScalarFieldEnum = {
  tv_tag_id: 'tv_tag_id',
  tv_video_id: 'tv_video_id'
};

exports.Prisma.SortOrder = {
  asc: 'asc',
  desc: 'desc'
};

exports.Prisma.NullsOrder = {
  first: 'first',
  last: 'last'
};

exports.Prisma.UtilisateurOrderByRelevanceFieldEnum = {
  ut_nom: 'ut_nom',
  ut_prenom: 'ut_prenom',
  ut_mail: 'ut_mail'
};

exports.Prisma.FormationOrderByRelevanceFieldEnum = {
  fo_titre: 'fo_titre',
  fo_description: 'fo_description',
  fo_prix: 'fo_prix',
  fo_teaser: 'fo_teaser'
};

exports.Prisma.VideoOrderByRelevanceFieldEnum = {
  vi_titre: 'vi_titre',
  vi_description: 'vi_description',
  vi_url: 'vi_url'
};

exports.Prisma.CommandeOrderByRelevanceFieldEnum = {
  co_status: 'co_status'
};

exports.Prisma.AchatOrderByRelevanceFieldEnum = {
  ac_type: 'ac_type'
};

exports.Prisma.TagOrderByRelevanceFieldEnum = {
  ta_titre: 'ta_titre'
};


exports.Prisma.ModelName = {
  Utilisateur: 'Utilisateur',
  Formation: 'Formation',
  Video: 'Video',
  Commande: 'Commande',
  CommandeFormation: 'CommandeFormation',
  Achat: 'Achat',
  Tag: 'Tag',
  TagVideo: 'TagVideo'
};

/**
 * This is a stub Prisma Client that will error at runtime if called.
 */
class PrismaClient {
  constructor() {
    return new Proxy(this, {
      get(target, prop) {
        let message
        const runtime = getRuntime()
        if (runtime.isEdge) {
          message = `PrismaClient is not configured to run in ${runtime.prettyName}. In order to run Prisma Client on edge runtime, either:
- Use Prisma Accelerate: https://pris.ly/d/accelerate
- Use Driver Adapters: https://pris.ly/d/driver-adapters
`;
        } else {
          message = 'PrismaClient is unable to run in this browser environment, or has been bundled for the browser (running in `' + runtime.prettyName + '`).'
        }

        message += `
If this is unexpected, please open an issue: https://pris.ly/prisma-prisma-bug-report`

        throw new Error(message)
      }
    })
  }
}

exports.PrismaClient = PrismaClient

Object.assign(exports, Prisma)
